<?php

class EnigmeGateway
{
    private Connection $con;

    /**
     * @param Connection $con
     */

    public function __construct(Connection $con)
    {
        $this->con = $con;
    }
    public function insert(string $idEnigme, string $admin, string $enonce, string $aide,string $rappel,string $solution,string $test,float $tempsDeResolution){
        $query="INSERT INTO Enigme VALUES (:idEnigme,:admin,:enonce,:aide,:rappel,:solution,:test,:tempsDeResolution)";
        $this->con->executeQuery($query,array(
            ':idEnigme' => array($idEnigme, PDO::PARAM_STR),
            ':admin' => array($admin, PDO::PARAM_STR),
            ':enonce' => array($enonce, PDO::PARAM_STR),
            ':aide'=> array($aide, PDO::PARAM_STR),
            ':rappel'=> array($rappel, PDO::PARAM_STR),
            ':solution'=> array($solution, PDO::PARAM_STR),
            ':test'=> array($tempsDeResolution, PDO::PARAM_STR)
        ));
    }
}
?>